MemManager.cpp File Reference
`#include "grk_includes.h"`

## Namespaces

namespace | grk
| Copyright (C) 2016-2023 Grok Image Compression Inc.

## Macros

#define | GROK_SKIP_POISON
#define | SIZE_MAX ((size_t)-1)

## Functions

uint32_t | grk::grk_make_aligned_width (uint32_t width)
static void * | grk::grk_aligned_alloc_N (size_t alignment, size_t size)
void * | grk::grk_malloc (size_t size)
| Allocate an uninitialized memory block.
void * | grk::grk_calloc (size_t numOfElements, size_t sizeOfElements)
| Allocate a memory block with elements initialized to 0.
void * | grk::grk_aligned_malloc (size_t size)
| Allocate memory aligned to a 16 byte boundary.
void | grk::grk_aligned_free (void *ptr)
void * | grk::grk_realloc (void *m, size_t s)
| Reallocate memory blocks.
void | grk::grk_free (void *m)
| Deallocates or frees a memory block.

## Variables

const size_t | grk::grk_buffer_alignment = 64

## Macro Definition Documentation

## GROK_SKIP_POISON

#define GROK_SKIP_POISON

## SIZE_MAX

#define SIZE_MAX ((size_t)-1)